精华内容
下载资源
问答
  • ubuntu卸载python3.8

    千次阅读 2020-11-19 14:08:37
    1.卸载python3.8 sudo apt-get remove python3.8 2.卸载python3.5以及它的依赖包 sudo apt-get remove --auto-remove python3.5 3.清除python3.5 要想清除python3.5的配置文件和数据文件,执行以下命令: ...

    1.卸载python3.8

    sudo apt-get remove python3.8

    2.卸载python3.5以及它的依赖包 

    sudo apt-get remove --auto-remove python3.5

    3.清除python3.5 

    要想清除python3.5的配置文件和数据文件,执行以下命令:

    sudo apt-get purge python3.5
    sudo apt-get purge --auto-remove python3.5

     

    展开全文
  • # 卸载python3.8 sudo apt-get remove python3.8 # 卸载python3.5以及它的依赖包 sudo apt-get remove --auto-remove python3.8 亲测可用 Ubuntu系统修改Python软链接 which python sudo rm /usr/bin/python # ...

    **

    ubuntu 卸载python3.8和依赖后。桌面直接就不能使用了

    **

    # 卸载python3.8
    sudo apt-get remove python3.8
    
    # 卸载python3.5以及它的依赖包 
    sudo apt-get remove --auto-remove python3.8
    

    亲测可用

    Ubuntu系统修改Python软链接

    which python
    
    sudo rm /usr/bin/python
    
    # 创建新的软链接
    sudo ln -s /usr/bin/python2.7 /usr/bin/python
    
    展开全文
  • I have updated my python 3 to the latest version 3.8:brew search python==> Formulaeapp-engine-python gst-python pythonpython@3.8 ✔boost-python ipython py...

    I have updated my python 3 to the latest version 3.8:

    brew search python

    ==> Formulae

    app-engine-python gst-python python ✔ python@3.8 ✔

    boost-python ipython python-markdown wxpython

    boost-python3 micropython python-yq

    ==> Casks

    awips-python kk7ds-python-runtime mysql-connector-python

    But when I check the python3 version on my mac it still shows 3.7:

    python3 --version

    Python 3.7.6

    how can I default python3 to the latest 3.8 version using Homebrew ?

    Edit:

    When I tried to use brew switch, it tells me I only installed python 3.7.6, but with last brew upgrade I'm pretty sure that python3.8.1 is installed with Homebrew

    brew switch python 3.8.1

    python does not have a version "3.8.1" in the Cellar.

    python's installed versions: 3.7.6_1

    解决方案

    Here is the solution:

    $ brew info python@3.8

    python@3.8: stable 3.8.1 (bottled) [keg-only]

    ...

    ==> Caveats

    Python has been installed as

    /usr/local/opt/python@3.8/bin/python3

    ...

    python@3.8 is keg-only, which means it was not symlinked into /usr/local,

    because this is an alternate version of another formula.

    If you need to have python@3.8 first in your PATH run:

    echo 'export PATH="/usr/local/opt/python@3.8/bin:$PATH"' >> ~/.bash_profile

    For compilers to find python@3.8 you may need to set:

    export LDFLAGS="-L/usr/local/opt/python@3.8/lib"

    For pkg-config to find python@3.8 you may need to set:

    export PKG_CONFIG_PATH="/usr/local/opt/python@3.8/lib/pkgconfig"

    I will stick to python (v3.7.6) at this time and wait for seamless upgrade of v3.8.1 in the future releases.

    展开全文
  • I am having trouble with my current python, so I wanted to uninstall my python and install the latest version. I installed with homebrew, so I uninstalled it with homebrew and reinstalled python 3.8.1...

    I am having trouble with my current python, so I wanted to uninstall my python and install the latest version. I installed with homebrew, so I uninstalled it with homebrew and reinstalled python 3.8.1 with the installer from the official site. Python3.8 was installed, but my python3 was not upgraded.

    ~ which python3

    /usr/bin/python3

    ~ python3 --version

    Python 3.7.3

    I know I'm not supposed to(and I can't) manually delete things inside /usr/bin. What am I supposed to do?

    解决方案

    When you installed Python with homebrew it told you this:

    Unversioned symlinks python, python-config, pip etc. pointing to

    python3, python3-config, pip3 etc., respectively, have been

    installed into /usr/local/opt/python/libexec/bin

    If you need a reminder, post install, you will get the same message if you run:

    brew info python

    It says "unversioned links are in /usr/local/opt/python/libexec/bin". That means, if you want to run Python without specifying the version, i.e. if you want to type this:

    python

    and this:

    pip

    to start Python 3 and its corresponding pip, you need to make sure your PATH has /usr/local/opt/python/libexec/bin at the start, i.e.

    export PATH=/usr/local/opt/python/libexec/bin:$PATH

    展开全文
  • ubuntu 安装桌面环境 sudo apt-get update --fix-missing //更新软件库 sudo apt-get upgrade --fix-missing // 升级软件 sudo apg-get install ubuntu-desktop --fix-missing // 安装ubuntu桌面系统 ...
  • 卸载python3.8 出现错误 No Python 3.8 installation was detected 解决办法: 删除 C:\Users\Administrator\AppData\Local\Programs\python 然后在控制面板里卸载python的时候,右键选择Repair,先把python3.8修复...
  • 卸载 python3.8 出现错误:No Python 3.8 installation was detected 二、解决 1、删除 C:\Users\Administrator\AppData\Local\Programs\python 2、在控制面板里卸载python的时候,选择修改,再选择Repair(修复)...
  • 可以卸载 Ubuntu 16 自带的 Python3.5,然后安装 Python3.8,在卸载的时候会卸载一堆软件包,初步测试发现不会影响基础系统,如果没有特殊需求可以尝试此方案。apt remove python3.5* libpython3.5*apt ...
  • 前提条件 首先,连接网络(不会可转到===>linux虚拟机连接网络),并且...yum install gcc patch libffi-devel python-devel zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-d
  • 当我们在卸载Python时,弹出”No Python 3.8 installation was detected.“对话框,可能是卸载程序已经损坏。可以通过先修复Python程序,然后再卸载程序,最后删除在路径C:\users\123\appdata\roaming\python\python...
  • 本文转载自以下两篇博客:[1] 如何将 Ubuntu 16 和 18 上的 python 升级到最新 3.8 版 https://blog.csdn.net/haiiiiiyun/article/details/104771086/[2] Ubuntu安装Python3 和卸载 ...
  • 前提条件首先,连接网络(不会可转到===>...cd /etc/yum.repos.d/rm -rf *wget http://mirrors.163.com/.help/CentOS7-Base-163.repoyum clean allyum makecache安装环境yum install gcc patch libffi-devel python...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 2,797
精华内容 1,118
关键字:

卸载python3.8

python 订阅